Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CosNaming
Class BindingTypeHelper

    java.lang.Object
      |
      +--org.omg.CosNaming.BindingTypeHelper

public class BindingTypeHelper
extends java.lang.Object

Helper class for : BindingType

Author:
  OpenORB Compiler

Constructor Summary
`BindingTypeHelper()`

Method Summary
`static BindingType` | `extract(Any a)` Extract BindingType from an any
`static java.lang.String` | `id()` Return the BindingType IDL ID
`static void` | `insert(Any a, BindingType t)` Insert BindingType into an any
`static BindingType` | `read(InputStream istream)` Read BindingType from a marshalled stream
`static TypeCode` | `type()` Return the BindingType TypeCode
`static void` | `write(OutputStream ostream, BindingType value)` Write BindingType into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BindingTypeHelper

    public BindingTypeHelper()

Method Detail

### insert

    public static void insert(Any a,
                              BindingType t)

  Insert BindingType into an any
  Parameters:
    `a` - an any
    `t` - BindingType value

### extract

    public static BindingType extract(Any a)

  Extract BindingType from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted BindingType value

### type

    public static TypeCode type()

  Return the BindingType TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the BindingType IDL ID
  Returns:
    an ID

### read

    public static BindingType read(InputStream istream)

  Read BindingType from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed BindingType value

### write

    public static void write(OutputStream ostream,
                             BindingType value)

  Write BindingType into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - BindingType value

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD